# Class BackupAccountRequest

#### Hierarchy

- unknown
  - BackupAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:326
- Defined in src/protobuf/grpc_pb.d.ts:335

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BackupAccountRequest(): BackupAccountRequest

- #### Returns BackupAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:327

### toObject

- toObject(includeInstance?: boolean): BackupAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BackupAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:328

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BackupAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BackupAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:331

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BackupAccountRequest, reader: BinaryReader): BackupAccountRequest

- #### Parameters

  - ##### message: BackupAccountRequest

  - ##### reader: BinaryReader

  #### Returns BackupAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:332

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BackupAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BackupAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:330

### `Static` toObject

- toObject(includeInstance: boolean, msg: BackupAccountRequest): BackupAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BackupAccountRequest

  #### Returns BackupAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:329

Generated using TypeDoc